body {
    font-family: monospace;
    overflow-x: hidden;
    font-size: 15px;
}

a {
    text-decoration: none;
}


/* div-sale2 HTML */



.listProduct {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.listProduct .item img {
    width: 100%;
}

.listProduct .item .name {
    font-weight: bold;
    font-size: 1.2em;
}

.listProduct .item .price {
    font-size: 1.1em;
    letter-spacing: 2px;
}

.listProduct .item {
    position: relative;
    margin-top: 10px;
    background-color: white;
    padding-bottom: 30px;
}

.listProduct .item button {
    background-color: #e6572c;
    color: #fff;
    width: 50%;
    border: none;
    padding: 10px 20px;
    box-shadow: 0px 10px 20px #2f2f2f77;
    cursor: pointer;
    margin-top: 10px;
    font-size: .9em;
    font-weight: bold;
}

.listProduct .item button:hover {
    background-color: #f88461;
}

/* icon cart */

.cart .listCart .item {
    display: grid;
    grid-template-columns: 50px 1fr 70px;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.cart .listCart img {
    width: 100%;
    height: 70px;
    object-fit: cover;
    border-radius: 10px;
}

.cart .listCart .item .name {
    font-weight: bold;
    font-size: .8em;
}

.cart .listCart .item .quantity {
    display: flex;
    justify-content: end;
    align-items: center;
}



.cart .listCart .item span {
    display: block;
    width: 50px;
    text-align: center;
}

.cart .listCart {
    padding: 20px;
    overflow: auto;
}

.cart .listCart::-webkit-scrollbar {
    width: 0;
}

.cart .buttons {
    display: flex;
    text-align: center;
} 

.close {
    width: 50%;
}

.checkout {
    width: 50%;
}

.cart .buttons div {
    background-color: #e6572c;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    cursor: pointer;
    color: #fff;
}

.cart .buttons a {
    color: #fff;
}

.cart .buttons .checkout {
    background-color: #2F2F2F;
}

.checkout a {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* checkout page/ Cart */

.container-2 {
    width: 100%;
    padding: 60px 0px;
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("image/HGBM1453.JPEG");
    background-position: center;
    background-size: cover;
}

.checkoutLayout {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    padding: 35px 0px;
    width: 88%;
    margin: 0px auto;
}

.checkoutLayout .right {
    border-radius: 10px;
    padding: 5px;
    color: #ebeff0;
    border: 3px solid #929eb3;
    display: flex;
    gap: 10px;
    width: 50%;
}

.right-1, .right-2 {
    width: 100%;
}

.checkoutLayout .right .form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
    border-bottom: 1px solid #7a7fe2;
    padding-bottom: 20px;
    text-align: left;
}

.form-a {
    margin-top: 30px;
}


.checkoutLayout .form h1,
.checkoutLayout .form .group:nth-child(-n+3) {
    grid-column-start: 1;
    grid-column-end: 3;
}


.checkoutLayout .form input, 
.checkoutLayout .form select {
    width: 100%;
    padding: 10px 20px;
    box-sizing: border-box;
    border-radius: 6px;
    border:1px solid white;
    background: linear-gradient(rgba(96, 93, 93, 0.5), rgba(96, 93, 93, 0.5));;
    color: rgb(240, 231, 231);
}

.checkoutLayout .right .return .row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.checkoutLayout .right .return .row div:nth-child(2) {
    font-weight: bold;
    font-size: x-large;
}

.h2-l {
    text-align: center;
}

.h2-2 {
    margin: 0;
}

.icon-container11 {
    gap: 10px;
    font-size: 1.5em;
}

.buttonCheckout {
    width: 100%;
    height: 40px;
    border: none;
    border-radius: 6px;
    background-color: #3D3C42;
    margin-top: 20px;
    font-weight: bold;
    color: #fff;

}

.returnCart {
    border: 4px solid #99a6c0;
    padding: 20px 3px;
    width: 45%;
    min-width: 450px;
}

.returnCart a {
    color: rgb(206, 214, 221);
}

.returnCart h1 {
    border-top: 1px solid #eee;  
    padding: 20px 0;
    color: white;
}


.list-lists {
    display: grid;
    grid-template-columns: 50px 105px  auto auto;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
    padding: 0 10px;
    font-size: 1.1em;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: #eee;
}


.checkoutLayout .returnCart .list .item .info .name {
    margin-bottom: 15px;
}

.checkoutLayout .returnCart .list .item img {
    height: 40px;
    border-radius: 10px;
}


.returnCart .list .item {
    display: grid;
    grid-template-columns: 50px 124px auto auto;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
    padding: 0 3px;
    box-shadow: 0 10px 20px #5555;
    border-radius: 10px;
    border: 1px solid white;
    color: rgb(248, 243, 243);
    background: linear-gradient(rgba(96, 93, 93, 0.5), rgba(96, 93, 93, 0.5));;
}

.returnCart .list .item .name,
.returnCart .list .item .returnPrice {
    font-size: large;
    font-weight: bold;
}
.returnCart .list .item .info .price {
    letter-spacing: 1px;
}

.returnPrice {
    letter-spacing: 2px;
}

/* media query for checkout cart list */

@media (min-width:1159px) {

    .checkoutLayout .right {
        width: 100%;
    }

    .checkoutLayout .right .right-1 .form-a {
        position: relative;
        top: 36px;
    }

}



@media (max-width: 1158px) {
    .checkoutLayout .right {
        width: 100%;
    }

    .checkoutLayout .right .right-1 .form-a {
        position: relative;
        bottom: 1px;
    }
}



@media (max-width: 950px) {
    .checkoutLayout {
        flex-direction: column;
    }
    
    .icon-container11 {
        font-size: 2.5em;
    }

    .h2-2 {
        margin: 10px;
    }

    .checkoutLayout .right .right-1 .form-a {
        position: relative;
        bottom: 20px;
    }


}

@media (max-width:760px) {
    
    .checkoutLayout .right {
        flex-direction: column;
        width: 100%;
    }

}

@media (max-width:600px) {
    .returnCart {
        width: 100%;
        min-width: 330px;
        
    }

    .list-lists {
        grid-template-columns: 50px auto auto auto;
    }

   
}

@media (max-width:400px) {

    .returnCart .list .item {
        grid-template-columns: 50px auto auto auto;
    }

}

